AgentServicePlugin (The Data Transfer Agent Library 1.2.0-SNAPSHOT API)
Date: 2013-01-17

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.agent.library.plugins
Class AgentServicePlugin

    java.lang.Object
      org.gcube.datatransfer.agent.library.plugins.AbstractPlugin<AgentServiceJAXWSStubs,AgentLibrary>
          org.gcube.datatransfer.agent.library.plugins.AgentServicePlugin

All Implemented Interfaces:
  org.gcube.common.clients.delegates.ProxyPlugin<EndpointReference,AgentServiceJAXWSStubs,AgentLibrary>, org.gcube.common.clients.fw.plugin.Plugin<AgentServiceJAXWSStubs,AgentLibrary>

    public class AgentServicePlugin

extends AbstractPlugin<AgentServiceJAXWSStubs,AgentLibrary>

Field Summary

Fields inherited from class org.gcube.datatransfer.agent.library.plugins.AbstractPlugin
`name`

Constructor Summary
`AgentServicePlugin()`

Method Summary
`Exception` | `convert(Exception arg0, org.gcube.common.clients.config.ProxyConfig<?,?> arg1)`
`AgentLibrary` | `newProxy(org.gcube.common.clients.delegates.ProxyDelegate<AgentServiceJAXWSStubs> delegate)`
`AgentServiceJAXWSStubs` | `resolve(EndpointReference address, org.gcube.common.clients.config.ProxyConfig<?,?> config)`

Methods inherited from class org.gcube.datatransfer.agent.library.plugins.AbstractPlugin
`name, namespace, serviceClass, serviceName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AgentServicePlugin

    public AgentServicePlugin()

Method Detail

### resolve

    public AgentServiceJAXWSStubs resolve(EndpointReference address,
                                          org.gcube.common.clients.config.ProxyConfig<?,?> config)
                                   throws Exception

  Throws:
    `Exception`

### newProxy

    public AgentLibrary newProxy(org.gcube.common.clients.delegates.ProxyDelegate<AgentServiceJAXWSStubs> delegate)

### convert

    public Exception convert(Exception arg0,
                             org.gcube.common.clients.config.ProxyConfig<?,?> arg1)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.